Ticket #44932

Meson: Warn when IPv6 not enabled

Open Date: 2022-06-25 06:06 Last Update: 2022-07-23 00:23

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

With autotools we have lack of IPv6 support as a hard error, unless explicitly allowed, since freeciv-3.0. Thus it's a bit weird that meson build now silently disables IPv6. Make it at least warn in that case.

Ticket History (3/4 Histories)

2022-06-25 06:06 Updated by: cazfi
  • New Ticket "Meson: Warn when IPv6 not enabled" created
2022-07-16 08:33 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-07-23 00:23 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login